
Foreman - Feature #7586

As a UI user, I want to configure which e-mails notifications to receive

09/23/2014 07:48 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Reporting   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1813

  

Description

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

Related to Foreman - Feature #7663: As an API user, I should be able to manag... Closed 09/26/2014

Has duplicate Foreman - Feature #7664: As a UI user, I should be able to mana... Duplicate 09/26/2014

Blocks Katello - Tracker #7662: Email Notifications Resolved 09/26/2014

Associated revisions

Revision 3a36bdf6 - 10/31/2014 09:22 AM - Stephen Benjamin

fixes #7586, #7734, #7172 - user preferences for receiving mail notifications

Adds a framework for user-selectable mail notifications.  The work is

still done in ActionMailer classes and launch by rake in cron, however a

wrapper called MailNotification is used to provide RBAC and make the

association with users.

Plugins may seed their own mail notifications, see

db/seeds.d/16-mail-notifications.rb for an example.

Authors:

Shlomi Zadok <szadok@redhat.com>

Stephen Benjamin <stephen@redhat.com>

Revision 00741013 - 10/31/2014 11:00 AM - Stephen Benjamin

refs #7586 - setup cron jobs for mail notifications

Revision 8192dbbb - 10/31/2014 02:34 PM - Stephen Benjamin

fixes #7586, #7734, #7172 - user preferences for receiving mail notifications

Adds a framework for user-selectable mail notifications.  The work is

still done in ActionMailer classes and launch by rake in cron, however a

wrapper called MailNotification is used to provide RBAC and make the

association with users.

Plugins may seed their own mail notifications, see

db/seeds.d/16-mail-notifications.rb for an example.

Authors:

Shlomi Zadok <szadok@redhat.com>

Stephen Benjamin <stephen@redhat.com>

(cherry picked from commit 3a36bdf6179cfb3207af623584c021addb674ffb)

Revision d50c3172 - 11/05/2014 11:30 AM - Stephen Benjamin
refs #7586 - setup cron jobs for mail notifications

Revision df8324a6 - 11/05/2014 11:31 AM - Dominic Cleal

Merge pull request #370 from stbenjam/7586

refs #7586 - setup cron jobs for mail notifications (RPM)

History

#1 - 09/23/2014 07:49 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#2 - 09/29/2014 07:59 AM - Stephen Benjamin

- Subject changed from As a user, I want to configure which summary e-mails to receive and at what interval to As a user, I want to configure which

e-mails notifications to receive

#3 - 09/29/2014 09:13 AM - Stephen Benjamin

- Has duplicate Feature #7664: As a UI user, I should be able to manage my own email notification preferences. added

#4 - 09/29/2014 09:13 AM - Stephen Benjamin

- Blocks Tracker #7662: Email Notifications added

#5 - 09/29/2014 09:15 AM - Stephen Benjamin

- Subject changed from As a user, I want to configure which e-mails notifications to receive to As a UI user, I want to configure which e-mails

notifications to receive

#6 - 10/01/2014 06:53 AM - Ohad Levy

- translation missing: en.field_release set to 21

#7 - 10/01/2014 07:06 AM - Shlomi Zadok

- Target version set to 1.7.2

#8 - 10/01/2014 07:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1813 added

- Pull request deleted ()

#9 - 10/28/2014 05:23 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)

#10 - 10/31/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3a36bdf6179cfb3207af623584c021addb674ffb.

#11 - 10/31/2014 10:05 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#12 - 11/04/2014 07:23 AM - Daniel Lobato Garcia

- Related to Feature #7663: As an API user, I should be able to manage my own email notification preferences. added
